## org.h2.test.jdbc
Class TestJavaObjectSerializer.DbLevelJavaObjectSerializer

    java.lang.Object
      org.h2.test.jdbc.TestJavaObjectSerializer.DbLevelJavaObjectSerializer

All Implemented Interfaces:
  JavaObjectSerializer

Enclosing class:
  TestJavaObjectSerializer

    public static class TestJavaObjectSerializer.DbLevelJavaObjectSerializer

extends java.lang.Object
implements JavaObjectSerializer

The serializer to use for this test.

Constructor Summary
`TestJavaObjectSerializer.DbLevelJavaObjectSerializer()`

Method Summary
`java.lang.Object` `deserialize(byte[] bytes)` Deserialize object from byte array.
`byte[]` `serialize(java.lang.Object obj)` Serialize object to byte array.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TestJavaObjectSerializer.DbLevelJavaObjectSerializer

    public TestJavaObjectSerializer.DbLevelJavaObjectSerializer()

Method Detail

### serialize

    public byte[] serialize(java.lang.Object obj)
                     throws java.lang.Exception

  Description copied from interface: `JavaObjectSerializer`
  Serialize object to byte array.

  Specified by:
    `serialize` in interface `JavaObjectSerializer`
  Parameters:
    `obj` - the object to serialize
  Returns:
    the byte array of the serialized object
  Throws:
    `java.lang.Exception`

### deserialize

    public java.lang.Object deserialize(byte[] bytes)
                                 throws java.lang.Exception

  Description copied from interface: `JavaObjectSerializer`
  Deserialize object from byte array.

  Specified by:
    `deserialize` in interface `JavaObjectSerializer`
  Parameters:
    `bytes` - the byte array of the serialized object
  Returns:
    the object
  Throws:
    `java.lang.Exception`